%define libmajor	0
%define libname		%mklibname pcre 2 %{libmajor}
%define pcre2posixmajor	1
%define libnameposix	%mklibname pcre2posix %{pcre2posixmajor}
%define develname	%mklibname -d %{name}

Name:		pcre2
Version:	10.22
Release:	%mkrel 1
Summary:	Perl-compatible regular expression library
Group:		System/Libraries
# the library:                          BSD
# pcre2test (linked to GNU readline):   BSD (linked to GPLv3+)
#Not distributed in binary package
# autotools:                            GPLv3+ with exception
# install-sh:                           MIT
License:	BSD
URL:		http://www.pcre.org/
Source:		ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2
# Do no set RPATH if libdir is not /usr/lib
Patch0:		pcre2-10.10-Fix-multilib.patch

# New libtool to get rid of RPATH and to use distribution autotools
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	readline-devel

%description
PCRE2 is a re-working of the original PCRE (Perl-compatible regular
expression) library to provide an entirely new API.

PCRE2 is written in C, and it has its own API. There are three sets of
functions, one for the 8-bit library, which processes strings of bytes, one
for the 16-bit library, which processes strings of 16-bit values, and one for
the 32-bit library, which processes strings of 32-bit values. There are no C++
wrappers.

The distribution does contain a set of C wrapper functions for the 8-bit
library that are based on the POSIX regular expression API (see the pcre2posix
man page). These can be found in a library called libpcre2posix. Note that
this just provides a POSIX calling interface to PCRE2; the regular expressions
themselves still follow Perl syntax and semantics. The POSIX API is
restricted, and does not give full access to all of PCRE2's facilities.

%package -n	%{libname}
Summary:	Perl-compatible regular expression library
Group:		System/Libraries

%description -n	%{libname}
PCRE2 is a re-working of the original PCRE (Perl-compatible regular
expression) library to provide an entirely new API.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Development files (headers, libraries for dynamic linking, documentation)
for %{name}.  The header file for the POSIX-style functions is called
pcre2posix.h.

%package	tools
Summary:	Auxiliary utilities for %{name}
# pcre2test (linked to GNU readline)	BSD (linked to GPLv3+)
License:	BSD and GPLv3+
Group:		Development/Tools

%description	tools
Utilities demonstrating PCRE2 capabilities like pcre2grep or pcre2test.

%prep
%setup -q
%patch0 -p1 -b .multilib
# Because of multilib patch
libtoolize --copy --force
autoreconf -vif

%build
%configure2_5x \
    --enable-jit \
    --enable-pcre2grep-jit \
    --disable-bsr-anycrlf \
    --disable-coverage \
    --disable-ebcdic \
    --disable-never-backslash-C \
    --enable-newline-is-lf \
    --enable-pcre2-8 \
    --enable-pcre2-16 \
    --enable-pcre2-32 \
    --disable-pcre2test-libedit \
    --enable-pcre2test-libreadline \
    --disable-pcre2grep-libbz2 \
    --disable-pcre2grep-libz \
    --disable-rebuild-chartables \
    --enable-shared \
    --enable-stack-for-recursion \
    --disable-static \
    --enable-unicode \
    --disable-valgrind
%make

%install
%makeinstall_std
# Get rid of unneeded *.la files
rm -f %{buildroot}%{_libdir}/*.la
# These are handled by %%doc in %%files
rm -rf %{buildroot}%{_docdir}/pcre2


%files -n %{libname}
%{_libdir}/libpcre2-[0-9]*.so.%{libmajor}*
%{!?_licensedir:%global license %%doc}
%license COPYING LICENCE
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libpcre2-posix.so.%{pcre2posixmajor}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%{_mandir}/man1/pcre2-config.*
%{_mandir}/man3/*
%{_bindir}/pcre2-config
%doc doc/*.txt doc/html
%doc HACKING ./src/pcre2demo.c

%files tools
%{_bindir}/pcre2grep
%{_bindir}/pcre2test
%{_mandir}/man1/pcre2grep.*
%{_mandir}/man1/pcre2test.*


%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 10.22-1uplos2016
- rebuild

* Wed Sep 21 2016 bb <bb> 10.22-1pclos2016
- update

